{
    attributes = (
        {
            columnName = "ATCO_ORDRE"; 
            externalType = NUMBER; 
            name = atcoOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CTRA_ORDRE"; 
            externalType = NUMBER; 
            name = ctraOrdre; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "RCTA_ORDRE"; 
            externalType = NUMBER; 
            name = rctaOrdre; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (rctaOrdre, ctraOrdre, atcoOrdre); 
    className = "org.cocktail.mangue.modele.mangue.individu.EORepartCtrActivites"; 
    classProperties = (dCreation, dModification, avenant, activiteTypeContrat); 
    externalName = "MANGUE.REPART_CTR_ACTIVITES"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (avenant, activiteTypeContrat, dCreation, dModification); 
    }; 
    name = RepartCtrActivites; 
    primaryKeyAttributes = (rctaOrdre); 
    relationships = (
        {
            destination = ActivitesTypeContrat; 
            internalInfo = {"_nameInObjectStore" = activite; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = atcoOrdre; sourceAttribute = atcoOrdre; }); 
            name = activiteTypeContrat; 
        }, 
        {
            destination = ContratAvenant; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = avenantOrdre; sourceAttribute = ctraOrdre; }); 
            name = avenant; 
        }
    ); 
}
